Bug 1730612 - There are two different high contrast versions of desktop icons
Summary: There are two different high contrast versions of desktop icons
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1794045
TreeView+ depends on / blocked
 
Reported: 2019-07-17 08:09 UTC by Michal Odehnal
Modified: 2020-01-22 15:06 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-3.32.2-12.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1794045 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
desktop icons (904.88 KB, video/webm)
2019-07-17 08:09 UTC, Michal Odehnal
no flags Details

Description Michal Odehnal 2019-07-17 08:09:35 UTC
Created attachment 1591337 [details]
desktop icons

Description of problem:
Desktop icons have two different high contrast appearances. Switching is not deterministic, I managed to get to the state that I have normal icons and high contrast icons at the same time.

Version-Release number of selected component (if applicable):
gnome-shell-3.32.2-6.el8.x86_64
gnome-shell-extension-desktop-icons-3.32.1-8.el8.noarch

How reproducible:
ON my machine always.

Steps to Reproduce:
1. Have icons on desktop.
2. Open control-center with Universal Access, enable Universal Access.
3. Unmaximize the control-center and move the window so you can see the icons.
4. There are now a few ways to see the non deterministic behavior.
A. Open Universal Access menu via top gnome panel.
A.1. Switch High Contrast Off and On a few times.
B. Switch High Contrast Off and On directly in control-center.
C. Switch High Contrast On and Off via top gnome panel so you get the second High Contrast.
C.1. Switch On and Off in control-center.

Actual results A):
Contrast will get turned On but on turn Off the contrast will just switch to the other High Contrast option, basically unable to switch it off in that menu.

Expected results A):
High Contrast has only one option and turning Off and On works as expected.


Actual results B):
Contrast will get turned On but on turn Off the contrast will blink to the other option before turning icons back to normal.

Expected results B):
High Contrast has only one option and turning Off and On works as expected without showing any intermediate step.


Actual results C):
Contrast will get turned On but on turn Off but in some cases it will set second High Contrast as Off option and sometimes normal non High Contrast option. I was able to see even normal and High Contrast option set at the same time. As can be seen in the video.

Expected results C):
Both ways of setting the High Contrast will behave as expected on setting On and Off.


Additional info:

Comment 3 Michal Odehnal 2020-01-02 07:26:52 UTC
Moving back to assigned as with today's update to gnome-shell-3.32.2-13.el8.x86_64 the issue A is solved but B and C are still reproducible.

Comment 4 Tomas Popela 2020-01-22 14:48:32 UTC
We split the B and C to a separate bug 1794045. Michal, can you please take care of this?

Comment 5 Michal Odehnal 2020-01-22 15:06:24 UTC
Reproducer A fixed and as we have new bugs for B and C.. switching to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.